Skip to main content
Welcome to the preview portal — This is an early release of the new Doc Hub experience, with more content coming soon.

American Express SafeKey


American Express SafeKey is the authentication service in the American Express card network that uses the 3-D Secure protocol to validate customers at checkout. When you request an authorization using a supported card type and a supported processor, you can include payer authentication data in the request.

Prerequisite

Before implementing payer authentication for American Express SafeKey, contact customer support to have your account configured for this feature.

Supported Processors

  • Chase Paymentech Solutions
  • Elavon Americas
  • FDC Nashville Global
  • Worldpay VAP

Processor-Specific Requirements

Visa Platform Connect

  • processingInformation.authorizationOptions.transaction - Required only for merchants in Saudi Arabia.

Fields Specific to the American Express SafeKey Use Case

These API fields are required specifically for this use case.

consumerAuthenticationInformation.cavv Required

Required when payer authentication is successful.

processingInformation.commerceIndicator Required

Set this field to one of these values:

  • aesk: successful authentication (3-D Secure value of 05).
  • aesk_attempted: authentication was attempted (3-D Secure value of 06).
  • internet: authentication failed or was not attempted (3-D Secure value of 07).

Endpoints

POST /pts/v2/payments

POST /pts/v2/payments

POST /pts/v2/payments

Example

{  "clientReferenceInformation": {    "code": "TC50171_3"  },  "processingInformation": {    "commerceIndicator": "aesk"  },  "paymentInformation": {    "card": {      "number": "3400000XXXXXXX8",      "expirationMonth": "01",      "expirationYear": "2030"    }  },  "orderInformation": {    "amountDetails": {      "totalAmount": "100",      "currency": "USD"    },    "billTo": {      "firstName": "John",      "lastName": "Smith",      "address1": "201 S. Division St._1",      "locality": "Foster City",      "administrativeArea": "CA",      "postalCode": "94404",      "country": "US",      "email": "[email protected]",      "phoneNumber": "6504327113"    }  },  "consumerAuthenticationInformation": {    "cavv": "1234567890987654321ABCDEFabcdefABCDEF123",    "xid": "1234567890987654321ABCDEFabcdefABCDEF123"  }}
{  "_links": {    "authReversal": {      "method": "POST",      "href": "/pts/v2/payments/6783071542936193303955/reversals"    },    "self": {      "method": "GET",      "href": "/pts/v2/payments/6783071542936193303955"    },    "capture": {      "method": "POST",      "href": "/pts/v2/payments/6783071542936193303955/captures"    }  },  "clientReferenceInformation": {    "code": "TC50171_3"  },  "id": "6783071542936193303955",  "orderInformation": {    "amountDetails": {      "authorizedAmount": "100.00",      "currency": "USD"    }  },  "paymentAccountInformation": {    "card": {      "type": "003"    }  },  "paymentInformation": {    "accountFeatures": {      "currency": "usd",      "balanceAmount": "70.00"    },    "tokenizedCard": {      "type": "003"    },    "card": {      "type": "003"    }  },  "pointOfSaleInformation": {    "terminalId": "111111"  },  "processorInformation": {    "approvalCode": "888888",    "networkTransactionId": "123456789619999",    "transactionId": "123456789619999",    "responseCode": "100",    "avs": {      "code": "X",      "codeRaw": "I1"    }  },  "reconciliationId": "62427259FEYR18Q2",  "status": "AUTHORIZED",  "submitTimeUtc": "2026-03-08T20:25:54Z"}

Required Fields

These fields must be included in a request for an authorization with American Express SafeKey. The values for these fields are in the response from the payer authentication validate service. When you request the payer authentication validate and authorization services together, the data is automatically passed from one service to the other.

FieldDescription
clientReferenceInformation.codeOrder reference or tracking number. Provide a unique value for each transaction so that you can perform meaningful searches for the transaction.
consumerAuthenticationInformation.cavv—
consumerAuthenticationInformation.eciRawRequired when the payer authentication validation service returns a raw unmapped ECI value.
orderInformation.amountDetails.currency—
orderInformation.amountDetails.totalAmount—
orderInformation.billTo.address1—
orderInformation.billTo.administrativeArea—
orderInformation.billTo.country—
orderInformation.billTo.email—
orderInformation.billTo.firstName—
orderInformation.billTo.lastName—
orderInformation.billTo.locality—
orderInformation.billTo.postalCode—
paymentInformation.card.expirationMonth—
paymentInformation.card.expirationYear—
paymentInformation.card.number—
paymentInformation.card.type—
processingInformation.commerceIndicatorSet this field to one of these values: aesk for successful authentication (3-D Secure value of 05), aesk_attempted when authentication was attempted (3-D Secure value of 06), or internet when authentication failed or was not attempted (3-D Secure value of 07).

Optional Field

This field is optional in a request for an authorization with American Express SafeKey. The value for this field is in the response from the payer authentication validate service. When you request the payer authentication validate and authorization services together, the data is automatically passed from one service to the other.

Optional Field
FieldDescription
consumerAuthenticationInformation.xid—

Last published: October 28, 2026

Not available for your audience

This page isn't available for your current audience selection.